<?
if ($room['anagramma'] == 1 && !isset($_GET['response'])) {
	
	function get_voice($id, $id_user, $pol) {
		$smiles = array(
		1 => array(".ковыр. ", " .дружба. ", ".галстук3.", ".ковыр2.", ".куку.", ".кур2.",  ".пишу.", ".посписку.", " .книга.", ".сгалстуком.", ".слупой.", ".слупой2.", ".умник.", " .вочках.", ".студент3."),
		2 => array(".ковыр.", ".потер.", ".учен.", ".ковыр2.", ".куку.", ".думает.",  ".пишу.", ".посписку.", ".го.", ".нифига.", ".слупой.", ".слупой2.", ".подмиг.", " .весело.", ".жду.", ".жду2.", ".злой2.", ".наухо."),
		3 => array(".смешком.", " .во. ", " .апл.", " .хлопает.", ".кул.", " .кул2..",  ".кул3.", ".мафия.", ".босс.", ".гномы.", ".гуд.", ".копилка.", ".накачели.", ".вкресле.", ".вкресле2."),
		4 => array(".демон.", ".гдевил.", ".кгам.", ".хрясь.", ".поголове.", ".попопе.",  " .висит.", " .висит2.", " .виселица.", " .стена.", " .стена2.", " .стена3.", ".суицид.", ".суицид2.", ".тормоз.", ".ковбой.", ".фу.", " .мат.", ".отстой.", ".злой4.", ".позор."),
		);
		
		$voice = array(
		1 => array("Короче напрягаем мозги, и внимательно смотрим слово ",
		"Так, внимательно читаем слово ",
		"Ну слово у нас такое ",
		"Угадываем такое слово ",
		"Нууус ребятки и девчатки, смотрим словечко ",
		"Ну что приготовились? Вот анаграммка ",
		"Так гуглом и яндексом не пользуемся, я все вижу!! Думаем над словом ",
		"Гг ну давайте угадывать эту анаграмму ",
		"А вот и я, да еще и с новенькой анаграммочкой)) ",
		"Ребятки, давайте шевелите извилинками, вот следующая анаграмма ",
		"А это словечко угадаешь? Анаграмма ",
		"Ты правда хочешь баллов? Думай над ответом ",
		"Итак, первое слово такое ",
		"Ой вам уже нужен вопрос? Вот она анаграмма ",
		"Ну что же, следующее слово.. ",
		"А вот вам и словечко-анаграммка ",
		"Тема такая, угадаваешь слово и получаешь баллы, ГОу разгадывать ",
		"Че ждешь? Вот тебе слово ",
		"Ахаха, а это словечко угадать слабо? "),
		
		2 => array(
		"Ну че так долго думаешь? Вот тебе ",
		"Так!!! Напргай мозги, вот ",
		"Эх.. ладно.. вот ",
		"Гг ну не знаешь, вот те ",
		"Ну что вы в самом деле?  ",
		"Давай те люди думайте! Вот вам ",
		"Думаем думаем ребята, вот вам ",
		"Как сказал один хороший.. фиг его знает, короче не вытянишь рыбку из пруда.. или .дум., ой да ладно, вот вам ",
		"Пока вы там думаете, сорзрела ",
		"Да ребята, дело плохо, прочтите анаграмму внимательнее и напрягите свои извилины "),
		
		3 => array(
		"Молодчина [b]".user::nick($id_user, 0)."[/b], ты угадал".($pol == 1 ? "" : "а")." слово ",
		"[b]".user::nick($id_user, 0)."[/b] ну ты ".($pol == 1 ? "красавчик" : "красавица")." вообще, ты правильно угадал слово ",
		"Поздравляю [b]".user::nick($id_user, 0)."[/b] ты угадал".($pol == 1 ? "" : "а")." слово ",
		"Поздравляю [b]".user::nick($id_user, 0)."[/b] ты правильно разгадал".($pol == 1 ? "" : "а")." анаграмму ",
		"Молодец [b]".user::nick($id_user, 0)."[/b], берите пример с ".($pol == 1 ? "него, он" : "нее, она")." угадал".($pol == 1 ? "" : "а")." слово ",
		"Совершенно верно [b]".user::nick($id_user, 0)."[/b], ты  угадал".($pol == 1 ? "" : "а")." слово ",
		"[b]".user::nick($id_user, 0)."[/b], ты  угадал".($pol == 1 ? "" : "а")." слово ",
		"[b]".user::nick($id_user, 0)."[/b], правильно разгадал".($pol == 1 ? "" : "а")." словечко "),
		
		4 => array(
		" Эх Вы.., не разгадали пустяковое словечко ",
		" Ну блин.. никто не угадал это слово ",
		" Никто из вас не дал ответа на эту анаграмму.. ",
		" Никто не дал верного ответа.. ",
		" Посидели, поглазели, а слово не отгадали ",
		" Куда мир катится? Такую фигню не разгадали ",
		" Чет вы ребята по плохели.. никто не угадал слово ")
		);
		
		return $smiles[$id][mt_rand(0, count($smiles[$id]) - 1)] . $voice[$id][mt_rand(0, count($voice[$id]) - 1)] . $smiles[$id][mt_rand(0, count($smiles[$id]) - 1)];		
	}
	
	$anagramm_last = mysql_fetch_assoc(mysql_query("SELECT * FROM `chat_post` WHERE `room` = '$room[id]' AND `anagramm_st` > '0' ORDER BY id DESC"));
	$words = mysql_fetch_assoc(mysql_query("SELECT * FROM `chat_anagramm` WHERE `id` = '$anagramm_last[vopros]' LIMIT 1"));
	$post_anagramm = mysql_fetch_assoc(mysql_query("SELECT * FROM `chat_post` WHERE `room` = '$room[id]' AND `msg` like '%$words[anagramma]%' AND `anagramm_st` = '0' AND `time` >= '" . ($time - $anagramm_last['time']) . "' ORDER BY `id` ASC LIMIT 1"));
	
	if ($anagramm_last == NULL || ($anagramm_last['anagramm_st'] == 4 && $anagramm_last['time'] < time() - $set['anagramm_new']))
	{
		$k_vopr = mysql_result(mysql_query("SELECT COUNT(*) FROM `chat_anagramm`"),0);
		$word = mysql_fetch_assoc(mysql_query("SELECT * FROM `chat_anagramm` LIMIT " . rand(0, $k_vopr) . ", 1"));
		$msg = get_voice(1, 0, 0) . " [b]\"$word[word]\"[/b], состоит из ".strlen2($word['word'])." букв.\n
		Найти слово-анаграмму, в точности по буквам за " . ($set['anagramm_time'] + $word['strlen'] * 10) . " сек. "; 
		
		mysql_query("INSERT INTO `chat_post` (`anagramm_st`, `time`, `msg`, `room`, `vopros`, `privat`) values('1', '$time', '$msg', '$room[id]', '$word[id]', '0')");
		
		header('Location: ?func=room&id=' . $ID . '&sid=' . $_SESSION['sid']);
		exit;
	}
	
	if ($anagramm_last != NULL && $anagramm_last['anagramm_st'] != 4 && $anagramm_last['time'] < time() - ($set['anagramm_time'] + $words['strlen'] * 10))
	{
		$msg = get_voice(4, 0, 0) . " правильный ответ: [b][red]" . $words['anagramma'] . "[/red][/b].\n
		Следующая анаграмма через $set[anagramm_new] сек. ";
		
		mysql_query("INSERT INTO `chat_post` (`anagramm_st`, `time`, `msg`, `room`, `vopros`, `privat`) values('4', '$time', '$msg', '$room[id]', '$post_anagramm[id]', '0')");
		mysql_query("UPDATE `chat_post` SET `anagramm_st` = '4' WHERE `id` = '$post_anagramm[id]' LIMIT 1");
		header('Location: ?func=room&id=' . $ID . '&sid=' . $_SESSION['sid']);
		exit;
	}
	
	if ($anagramm_last != NULL && $anagramm_last['anagramm_st'] != 4 && $anagramm_last['anagramm_st'] != 0) {

		if ($post_anagramm != NULL) {
			
			if ($anagramm_last['anagramm_st'] == 1){
				$add_balls = ($words['strlen'] * 5);
				$pods = 'не используя подсказок';
			} elseif ($anagramm_last['anagramm_st'] == 2) {
				$add_balls = ($words['strlen'] * 4);
				$pods = 'используя одну подсказку';
			} elseif ($anagramm_last['anagramm_st'] == 3) {
				$add_balls = ($words['strlen'] * 3);
				$pods = 'используя обе посказки';
			}
			
			$msg = get_voice(3, $post_anagramm['id_user'], $user['pol']) . $pods . " [b][green]" . $words['anagramma'] . "[/green][/b] \n [b]" . user::nick($post_anagramm['id_user'], 0) . "[/b] получает [blue][b]" . $add_balls . "[/b] баллов[/blue].\n
			Следующая анаграмма через $set[anagramm_new] сек. ";
			
			
			mysql_query("INSERT INTO `chat_post` (`anagramm_st`, `time`, `msg`, `room`, `vopros`, `privat`) values('4', '$time', '$msg', '$room[id]', '$words[id]', '0')");
			mysql_query("UPDATE `user` SET `balls` = `balls` + '" . $add_balls . "' WHERE `id` = '$post_anagramm[id_user]' LIMIT 1");
			mysql_query("UPDATE `chat_who` SET `count_anagramm` = `count_anagramm` + '1' WHERE `id_user` = '$user[id]' LIMIT 1");
			mysql_query("UPDATE `chat_post` SET `anagramm_st` = '4' WHERE `id` = '$post_anagramm[id]' LIMIT 1");
			header('Location: ?func=room&id=' . $ID . '&sid=' . $_SESSION['sid']);
			exit;
		}
	}

	if ($anagramm_last != NULL && $anagramm_last['anagramm_st'] == 1 && $anagramm_last['time'] < time() - ($set['anagramm_help'] + $words['strlen'] * 5))
	{
		if (function_exists('iconv_substr')) {
			$help = iconv_substr($words['anagramma'], 0, 1, 'utf-8');
		} else {
			$help = substr($words['anagramma'], 0, 2);
		}
		
		for ($i = 0; $i < $words['strlen'] - 1; $i++ ) {
			$help .= '*';
		}
		
		$msg = get_voice(2, 0, 0) . " первая подсказка [b]$help [/b] (" . $words['strlen'] . " букв)\nАнаграмма из слова [b]\"$words[word]\"[/b].";
		
		mysql_query("INSERT INTO `chat_post` (`anagramm_st`, `time`, `msg`, `room`, `vopros`, `privat`) values('2', '$time', '$msg', '$room[id]', '$words[id]', '0')");
	}

	if ($anagramm_last != NULL && $anagramm_last['anagramm_st'] == 2 && $anagramm_last['time'] < time() - ($set['anagramm_help'] + $words['strlen'] * 5))
	{
		if (function_exists('iconv_substr')) {
			$help = iconv_substr($words['anagramma'], 0, 2, 'utf-8');
		} else {
			$help = substr($words['anagramma'], 0, 4);
		}
		
		for ($i = 0; $i < $words['strlen'] - 2; $i++ ) {
			$help .= '*';
		}
		
		$msg = get_voice(2, 0, 0) . " вторая подсказка [b]$help [/b] (" . $words['strlen'] . " букв)\nАнаграмма из слова [b]\"$words[word]\"[/b].";
		
		mysql_query("INSERT INTO `chat_post` (`anagramm_st`, `time`, `msg`, `room`, `vopros`, `privat`) values('3', '$time', '$msg', '$room[id]', '$words[id]', '0')");
	}	
}
?>